Index: Include/basic/command.sbp
===================================================================
--- Include/basic/command.sbp	(revision 89)
+++ Include/basic/command.sbp	(revision 90)
@@ -105,13 +105,12 @@
 '--------------
 
-Dim _System_hFile(255) As VoidPtr
+Dim _System_hFile(255) As HANDLE
 Macro OPEN(lpFileName As String, AccessFor As Long, FileNumber As Long)
 	Dim dwAccess As Long
-	Dim bAppend As Long
+	Dim bAppend = 0 As Long
 	Dim dwCreationDisposition As Long
 
-	FileNumber=FileNumber-1
-
-	bAppend=0
+	FileNumber--
+
 	Select Case AccessFor
 		Case 0
@@ -134,6 +133,7 @@
 	If bAppend Then SetFilePointer(_System_hFile(FileNumber),0,NULL,FILE_END)
 End Macro
+
 Macro CLOSE()(FileNumber As Long)
-	FileNumber=FileNumber-1
+	FileNumber--
 
 	If _System_hFile(FileNumber) Then
@@ -153,5 +153,5 @@
 	Dim IsStr As Long
 
-	FileNumber=FileNumber-1
+	FileNumber--
 
 	buffer=ZeroString(GetFileSize(_System_hFile[FileNumber],0))
@@ -173,5 +173,5 @@
 		IsStr=0
 		While 1
-			i3=i3+1
+			i3++
 
 			i2=ReadFile(_System_hFile[FileNumber],temp,1,VarPtr(dwAccessBytes),ByVal 0)
@@ -263,6 +263,6 @@
 			buffer[i3]=UsingStr[i2]
 			If UsingStr[i2]=0 Then Exit While
-			i2=i2+1
-			i3=i3+1
+			i2++
+			i3++
 		Wend
 
@@ -283,13 +283,13 @@
 			i4=i2
 			While UsingStr[i4]=Asc("#")
-				i4=i4+1
+				i4++
 			Wend
 			If UsingStr[i4]=Asc(".") Then
-				i4=i4+1
+				i4++
 
 				dblRoundOff=0.5
 				While UsingStr[i4]=Asc("#")
-					i4=i4+1
-					dblRoundOff=dblRoundOff/10
+					i4++
+					dblRoundOff /= 10
 				Wend
 			End If
@@ -304,10 +304,10 @@
 
 			'符号が有る場合は、一文字分のスペースを考慮する
-			If sign Then length_num=length_num+1
+			If sign Then length_num++
 
 			length_buf=0
 			Do
-				i2=i2+1
-				length_buf=length_buf+1
+				i2++
+				length_buf++
 			Loop While UsingStr[i2]=Asc("#")
 
@@ -315,11 +315,11 @@
 				'通常時
 				FillMemory(StrPtr(buffer)+i3,length_buf-length_num,Asc(" "))
-				i3=i3+(length_buf-length_num)
+				i3 += length_buf - length_num
 
 				If sign Then
 					buffer[i3]=Asc("-")
-					i3=i3+1
-
-					length_num=length_num-1
+					i3++
+
+					length_num--
 				End If
 
@@ -330,15 +330,15 @@
 				End If
 
-				i3=i3+length_num
+				i3 += length_num
 			Else
 				'表示桁が足りないとき
 				FillMemory(StrPtr(buffer)+i3,length_buf,Asc("#"))
-				i3=i3+length_buf
+				i3 += length_buf
 			End If
 
 			If UsingStr[i2]=Asc(".") Then
 				buffer[i3]=UsingStr[i2]
-				i2=i2+1
-				i3=i3+1
+				i2++
+				i3++
 
 				i4=dec
@@ -349,12 +349,12 @@
 						buffer[i3]=temp2[i4]
 					End If
-					i3=i3+1
-					i4=i4+1
-
-					i2=i2+1
+					i3++
+					i4++
+
+					i2++
 				Wend
 			End If
 		ElseIf UsingStr[i2]=Asc("@") Then
-			i2=i2+1
+			i2++
 
 			lstrcat(StrPtr(buffer)+i3,_System_UsingStrData[ParmNum])
@@ -363,11 +363,11 @@
 			i4=0
 			Do
-				i4=i4+1
-				i2=i2+1
+				i4++
+				i2++
 			Loop While UsingStr[i2]=Asc(" ")
 
 			If UsingStr[i2]=Asc("&") Then
-				i4=i4+1
-				i2=i2+1
+				i4++
+				i2++
 				i5=lstrlen(_System_UsingStrData[ParmNum])
 				If i4<=i5 Then
@@ -377,15 +377,15 @@
 				End If
 				memcpy(StrPtr(buffer)+i3,_System_UsingStrData[ParmNum],i5)
-				i3=i3+i4
+				i3 += i4
 			Else
-				i2=i2-i4
+				i2 -= i4
 				buffer[i3]=Asc("&")
-				i2=i2+1
-				i3=i3+1
+				i2++
+				i3++
 				Continue
 			End If
 		End If
 
-		ParmNum=ParmNum+1
+		ParmNum++
 	Wend
 
@@ -396,5 +396,5 @@
 	Dim buf As String
 
-	FileNumber=FileNumber-1
+	FileNumber--
 	buf=_System_GetUsingFormat(UsingStr)
 
@@ -404,5 +404,5 @@
 Dim _System_FieldSize(255) As Long
 Macro FIELD(FileNumber As Long, FieldSize As Long)
-	FileNumber=FileNumber-1
+	FileNumber--
 
 	_System_FieldSize(FileNumber)=FieldSize
@@ -411,6 +411,6 @@
 	Dim dwAccessByte As Long
 
-	FileNumber=FileNumber-1
-	RecodeNumber=RecodeNumber-1
+	FileNumber--
+	RecodeNumber--
 
 	SetFilePointer(_System_hFile(FileNumber),RecodeNumber*_System_FieldSize(FileNumber),NULL,FILE_BEGIN)
@@ -424,6 +424,6 @@
 	Dim dwAccessByte As Long
 
-	FileNumber=FileNumber-1
-	RecodeNumber=RecodeNumber-1
+	FileNumber--
+	RecodeNumber--
 
 	SetFilePointer(_System_hFile(FileNumber),RecodeNumber*_System_FieldSize(FileNumber),NULL,FILE_BEGIN)
@@ -435,5 +435,5 @@
 End Macro
 Macro MKDIR(path As String)
-	CreateDirectory(path, ByVal 0)
+	CreateDirectory(path, 0)
 End Macro
 Macro KILL(path As String)
